libmoosex-app-cmd-perl_0.27-2_all.deb


Advertisement

Description

libmoosex-app-cmd-perl - Perl module combining App::Cmd and MooseX::Getopt

Distribution: Debian 8 (Jessie)
Repository: Debian Main i386
Package name: libmoosex-app-cmd-perl
Package version: 0.27
Package release: 2
Package architecture: all
Package type: deb
Installed size: 100 B
Download size: 22.28 KB
Official Mirror: ftp.br.debian.org
MooseX::App::Cmd allows one to write moose commands as moose classes, with MooseX::Getopt defining the options.

Alternatives

    Download

    Source package: libmoosex-app-cmd-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libmoosex-app-cmd-perl deb package:
      # sudo apt-get install libmoosex-app-cmd-perl

    Files

    • /usr/share/doc/libmoosex-app-cmd-perl/changelog.Debian.gz
    • /usr/share/doc/libmoosex-app-cmd-perl/changelog.gz
    • /usr/share/doc/libmoosex-app-cmd-perl/copyright
    • /usr/share/man/man3/MooseX::App::Cmd.3pm.gz
    • /usr/share/man/man3/MooseX::App::Cmd::Command.3pm.gz
    • /usr/share/man/man3/MouseX::App::Cmd.3pm.gz
    • /usr/share/man/man3/MouseX::App::Cmd::Command.3pm.gz
    • /usr/share/perl5/MooseX/App/Cmd.pm
    • /usr/share/perl5/MooseX/App/Cmd/Command.pm
    • /usr/share/perl5/MouseX/App/Cmd.pm
    • /usr/share/perl5/MouseX/App/Cmd/Command.pm

    Changelog

    2014-06-02 - gregor herrmann <gregoa@debian.org> libmoosex-app-cmd-perl (0.27-2) unstable; urgency=medium * Strip trailing slash from metacpan URLs. * Add patch to update regexps in tests. Thanks to David Suárez for the bug report. (Closes: #750305)

    2014-01-03 - gregor herrmann <gregoa@debian.org> libmoosex-app-cmd-perl (0.27-1) unstable; urgency=medium * New upstream release. * Update years of packaging copyright. * Update (build) dependencies.

    2013-11-30 - gregor herrmann <gregoa@debian.org> libmoosex-app-cmd-perl (0.11-1) unstable; urgency=low [ gregor herrmann ] * New upstream releases 0.08, 0.09. * Update years of upstream and packaging copyright. * Set debhelper compatibility level to 8. * Make (build) dependency on libgetopt-long-descriptive-perl versioned. * Add /me to Uploaders. * Add new (build) dependencies. [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Damyan Ivanov ] * Imported Upstream version 0.10 * bump years of upstream copyright * bump version of libmoosex-configfromfile-perl (build-)dependency * drop libtest-requires-perl drop b-d [ gregor herrmann ] * New upstream release 0.11. Closes: #730898 * Update (build) dependencies. * Update years of packaging copyright. * Declare compliance with Debian Policy 3.9.5.

    2012-03-02 - Salvatore Bonaccorso <carnil@debian.org> libmoosex-app-cmd-perl (0.07-1) unstable; urgency=low [ Ansgar Burchardt ] * debian/control: Convert Vcs-* fields to Git. [ Salvatore Bonaccorso ] * Email change: Salvatore Bonaccorso -> carnil@debian.org * Imported Upstream version 0.07 * Simplify versioned dependencies already satisfied in Stable. Make versioned (Build-)Depends(-Indep) which are already satisfied in stable now unversioned as Lenny/oldstable is going to the archive. * Update debian/copyright information. Update format to copyright-format 1.0 as released together with Debian policy 3.9.3. Update copyright years for debian/* packaging files. Refer to Debian systems in general instead of only Debian GNU/Linux systems. Explicitly point to GPL-1 license text in common-licenses. * Bump Standards-Version to 3.9.3 * Convert to '3.0 (quilt)' source package format * Fix spelling in long description. Fix use of allows one to in long description reported by lintian checks.

    2009-09-18 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> libmoosex-app-cmd-perl (0.06-1) unstable; urgency=low * New upstream release - various fixes for upstream version of App::Cmd * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). * Add versioned dependency on libapp-cmd-perl (>= 0.3). * Bump Standards-Version to 3.8.3 (no changes)

    2009-07-06 - Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com> libmoosex-app-cmd-perl (0.05-1) unstable; urgency=low [ Nathan Handler ] * debian/watch: Update to ignore development releases. [ Salvatore Bonaccorso ] * New upstream release * debian/control: - Adjust versioned dependencies on libmoose-perl and bmoosex-getopt-perl. - Add myself to Uploaders - Bump Standards-Version to 3.8.2 (no changes) * debian/watch: Clean comments in watch-file. * debian/rules: Use tiny rules file. * debian/copyright: Adjust debian/* packaging copyright.

    2009-06-01 - franck cuny <franck@lumberjaph.net> libmoosex-app-cmd-perl (0.04-1) unstable; urgency=low * Initial Release (Closes: #531398).

    Advertisement
    Advertisement